package org.processmining.activityclusterarray.models.graph;

import java.awt.Color;
import java.awt.Dimension;

import org.deckfour.xes.classification.XEventClass;
import org.processmining.models.graphbased.AttributeMap;
import org.processmining.models.graphbased.directed.AbstractDirectedGraph;
import org.processmining.models.graphbased.directed.AbstractDirectedGraphNode;
import org.processmining.models.shapes.Octagon;
import org.processmining.models.shapes.RoundedRect;

public class ActivityClusterArrayNode extends AbstractDirectedGraphNode {

	ActivityClusterArrayGraph graph;

	public ActivityClusterArrayNode(ActivityClusterArrayGraph graph, XEventClass activity) {
		this.graph = graph;
		getAttributeMap().put(AttributeMap.SHAPE, new RoundedRect());
		getAttributeMap().put(AttributeMap.SQUAREBB, false);
		getAttributeMap().put(AttributeMap.RESIZABLE, false);
		getAttributeMap().put(AttributeMap.SIZE, new Dimension(100, 60));
		getAttributeMap().put(AttributeMap.FILLCOLOR, Color.LIGHT_GRAY);
		getAttributeMap().put(AttributeMap.LABEL, activity.getId());
	}

	public ActivityClusterArrayNode(ActivityClusterArrayGraph graph, Integer index) {
		this.graph = graph;
		getAttributeMap().put(AttributeMap.SHAPE, new Octagon(0.3));
		getAttributeMap().put(AttributeMap.SQUAREBB, false);
		getAttributeMap().put(AttributeMap.RESIZABLE, false);
		getAttributeMap().put(AttributeMap.SIZE, new Dimension(100, 100));
		getAttributeMap().put(AttributeMap.FILLCOLOR, Color.LIGHT_GRAY);
		getAttributeMap().put(AttributeMap.LABEL, "Cluster " + index.toString());
	}

	public AbstractDirectedGraph<?, ?> getGraph() {
		return graph;
	}

}
