package org.processmining.activityclusterarray.plugins;

import javax.swing.JComponent;

import org.processmining.activityclusterarray.algorithms.VisualizeActivityClusterArrayAlgorithm;
import org.processmining.activityclusterarray.models.ActivityClusterArray;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

public class VisualizeActivityClusterArrayPlugin extends VisualizeActivityClusterArrayAlgorithm {

	@Plugin(name = "@0 Visualize Activity Cluster Array", returnLabels = { "Visualized Activity Cluster Array" }, returnTypes = { JComponent.class }, parameterLabels = { "Causal Activity Matrix" }, userAccessible = false)
	@Visualizer
	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent runUI(UIPluginContext context, ActivityClusterArray clusters) {
		return apply(context, clusters);
	}

	/**
	 * @deprecated Use runUI() instead.
	 */
	@Deprecated
	public JComponent visualize(UIPluginContext context, ActivityClusterArray clusters) {
		return apply(context, clusters);
	}
}
